# $Revision: 1.29 $, $Date: 2004/05/07 00:29:07 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	HMAC
Summary:	Digest::HMAC - keyed-hashing for message authentication
Summary(pl):	Digest::HMAC - mieszanie z kluczem dla autoryzacji komunikatw
Name:		perl-Digest-HMAC
Version:	1.01
Release:	11
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	32dc54c765100c638b5d7f7ff4c5c626
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Digest-MD5 >= 2.00
BuildRequires:	perl-Digest-SHA1 >= 1.00
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HMAC is used for message integrity checks between two parties that
share a secret key, and works in combination with some other Digest
algorithm, usually MD5 or SHA-1. The HMAC mechanism is described in
RFC 2104.

%description -l pl
HMAC jest uywany do kontroli integralnoci wiadomoci pomidzy dwiema
stronami dzielcymi tajny klucz, dzia w poczeniu z jakim innym
algorytmem skrtu, zazwyczaj MD5 lub SHA-1. Mechanizm HMAC jest
opisany w RFC 2104.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/Digest/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest-HMAC.spec,v $
Revision 1.29  2004/05/07 00:29:07  ankry
- rel. 11

Revision 1.28  2004/05/06 18:43:09  ankry
- fixed perl-devel BR

Revision 1.27  2004/04/24 23:56:01  ankry
- tests added

Revision 1.26  2004/04/20 07:04:19  ankry
- better summary/description, license fixes and unification

Revision 1.25  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.24  2003/12/29 15:30:04  undefine
- release 10 to rebuild with ac

Revision 1.23  2003/08/18 08:08:43  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/11 18:59:23  radek
- BR: perl-devel >= 1:5.8.0; do not BR: perl

Revision 1.19  2003/03/01 18:05:42  radek
- should be ready for perl-5.8.0; release++

Revision 1.18  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.17  2003/02/18 15:31:45  ankry
- massive attack: change CPAN URLs

Revision 1.16  2002/07/24 00:20:08  ankry
- removed %%{perl_sitelib}/Digest dir
- release 8

Revision 1.15  2002/07/20 15:16:33  kloczek
- release 7.

Revision 1.14  2002/07/20 07:13:08  qboosh
- added versions to BRs

Revision 1.13  2002/07/16 23:31:58  ankry
- translations, cleaning
- added %%{perl_sitelib}/Digest dir and manpages to %%files
- new %%doc
- release 6

Revision 1.12  2002/07/10 08:47:05  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.10  2002/02/25 10:30:58  depesz
cleanup; revision++

Revision 1.9  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 14:11:34  depesz
automatic: Source location unified, Relase Up

Revision 1.7  2002/02/10 15:25:32  depesz
adapterized

Revision 1.6  2002/01/18 02:14:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.4  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.3  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.2  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
